Subject: Re: [PATCH 0/3] Re: [PATCH] check-ref-format: require a repository for --branch

From: Jonathan Nieder <[email-masked]>
Date: Tue, 17 Oct 2017 00:17:58 -0700

Junio C Hamano wrote:
> Jonathan Nieder <[email-masked]> writes:

>> Handles the nongit case in strbuf_check_branch_ref instead of
>> introducing a new check_branch_ref_format helper.
>
> I view that as a regression, actually.  Don't we want a function
> that does not require a strbuf when asking a simple question: "I
> have a string, and I want to see if that is a valid name"?

*shrug* I found the change easier to read, and it also sidesteps the
which-header question.  It also ensures that other
strbuf_check_branch_ref callers are safe without having to audit them.

But feel free to tweak that back if you like, or I can tomorrow.

Jonathan